function add() {
	window.location.href = SERVER_SERVLET_CONTEXT_PATH + "/hostWarnDiy/edit";
}

function searchByAccount() {
	window.location.href = SERVER_SERVLET_CONTEXT_PATH + "/hostWarnDiy/list?account="+$("#account").val();
}

function viewHost(hostname) {
	if (hostname.indexOf("(") != -1) {
		hostname = hostname.substring(0, hostname.indexOf("("));
	}
	window.location.href = SERVER_SERVLET_CONTEXT_PATH + "/systemInfo/systemInfoList?hostname="+hostname;
}

function view(id) {
	window.location.href = SERVER_SERVLET_CONTEXT_PATH + "/hostWarnDiy/view?id="+id;
}

function edit(id){
	window.location.href = SERVER_SERVLET_CONTEXT_PATH + "/hostWarnDiy/edit?id="+id;
}

function del(id) {
	if(confirm('您確定要刪除此記錄嗎？')) {
		window.location.href = SERVER_SERVLET_CONTEXT_PATH + "/hostWarnDiy/del?id=" + id;
	}
}

function copyHostWarnDiy(){
	var chk_value =[];
	$("input[name='todo2']:checkbox").each(function() {
		if($(this).is(':checked')) {
			chk_value.push($(this).val());
		}
	});
	if(chk_value.length == 0){
		alert("請先選擇需要複製的數據");
		return;
	}
	if(chk_value.length > 1){
		alert("只能選擇一條數據");
		return;
	}
	if(confirm('您確定要複製所選數據嗎？')) {
		var vals = chk_value.join(",");
		$("#idCopy").val(vals);
		$("#modal-default3").modal("toggle");
	}
}

function ajaxSaveCopyHostWarnDiy() {
	$("#form4").ajaxSubmit(function(message) {
		window.location.href = window.location.href;
	});
}

function showMenuToAdmin() {
	$("#modal-default2").modal("toggle");
}

function ajaxSaveAdminMenus() {
	getMenuCheckValues();
	$("#form2").ajaxSubmit(function(message) {
		$("#modal-default2").modal("toggle");
		if(message=='error'){
			toastr.info("此功能需要升級到專業版才可使用，請聯繫我們升級");
		}else{
			toastr.success("設置成功，請重新登錄。若需要重置，請重啟server即可");
		}
	});
}

function getMenuCheckValues() {
	var zTreeObj = $.fn.zTree.getZTreeObj("treeMenu");
	var checkedNodes = zTreeObj.getCheckedNodes();
	var menuIdsStr = "";
	for(i in checkedNodes) {
		menuIdsStr+=checkedNodes[i].id+",";
	}
	$("#menuIds").val(","+menuIdsStr);
	return true;
}

function checkRepeat() {
	var hostname =  $("#hostname").val();
	if(''==hostname){
		return;
	}
	$.ajax({
		url: SERVER_SERVLET_CONTEXT_PATH + "/hostWarnDiy/checkRepeat?hostname=" + hostname,
		//data: {},
		type: "GET",
		//dataType: "json",
		success: function(data) {
			if('1'==data){
				toastr.error(hostname+"已經設置過自定義告警了");
			}
		}
	});
}
